## aiomysql 0.0.20

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

FLAGS=


flake:
	flake8 aiomysql tests examples

test: flake
	py.test -s $(FLAGS) ./tests/

vtest:
	py.test -s -v $(FLAGS) ./tests/

cov cover coverage: flake
	py.test -s -v  --cov-report term --cov-report html --cov aiomysql ./tests
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf htmlcov
	rm -rf dist

start_mysql:
	@echo "----------------------------------------------------"
	@echo "Starting mysql, see docker-compose.yml for user/pass"
	@echo "----------------------------------------------------"
	docker-compose -f docker-compose.yml up -d mysql

stop_mysql:
	docker-compose -f docker-compose.yml stop mysql

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all flake test vtest cov clean doc

=== debian/changelog ===
aiomysql (0.0.20-2) unstable; urgency=medium

  * Team upload.
  * Fix short description on python-aiomysql-doc (Closes: #945351)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 23 Nov 2019 14:22:45 -0300

aiomysql (0.0.20-1) unstable; urgency=medium

  * Initial release (Closes: #860006)

 -- Adam Cecile <acecile@le-vert.net>  Thu, 07 Nov 2019 22:16:49 +0100

=== debian/control ===
Source: aiomysql
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib-asyncio <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
# Integration tests, using local MySQL and docker
# Build locally with DEB_BUILD_PROFILES="pkg.aiomysql.integrationtests"
# See debian/README.integration_tests to setup your local machine
              python3-pytest <pkg.aiomysql.integrationtests>,
              python3-docker <pkg.aiomysql.integrationtests>,
              python3-pymysql (>= 0.9~) <pkg.aiomysql.integrationtests>,
              python3-sqlalchemy (>= 1.0~) <pkg.aiomysql.integrationtests>,
              python3-uvloop <pkg.aiomysql.integrationtests>,
Standards-Version: 4.4.1
Homepage: https://github.com/aio-libs/aiomysql
Vcs-Git: https://salsa.debian.org/python-team/modules/aiomysql.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/aiomysql

Package: python3-aiomysql
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-sqlalchemy (>= 1.0~)
Suggests: python-aiomysql-doc
Description: library for accessing a MySQL using asyncio (Python 3)
 aiomysql is a driver for accessing a MySQL database from the asyncio
 framework.
 .
 It depends on and reuses most parts of PyMySQL.
 .
 aiomysql tries to be like awesome aiopg library and preserve same API,
 look and feel.
 .
 This package installs the library for Python 3.

Package: python-aiomysql-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: library for accessing a MySQL database from the asyncio (common documentation)
 aiomysql is a driver for accessing a MySQL database from the asyncio
 framework.
 .
 It depends on and reuses most parts of PyMySQL.
 .
 aiomysql tries to be like awesome aiopg library and preserve same API,
 look and feel.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiomysql
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v

export READTHEDOCS=True

%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache
	rm -rf .pytest_cache
	rm -f tests/fixtures/my.cnf

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifneq ($(filter pkg.aiomysql.integrationtests,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## aiomysql 0.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiomysql.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiomysql.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiomysql"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiomysql"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
aiomysql (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: cleanup aiomysql/_scm_version.py.
    This allows the package to be rebuildable from a clean state after a
    first build attempt.
  * d/control: build depends on python3-setuptools-scm.
    This fixes a failure to build from source.
    Thanks to s3v <c0llapsed@yahoo.it> (Closes: #1030464)

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Mar 2023 22:13:05 +0100

aiomysql (0.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh, drop merged patches
  * debian/control
    - build using pybuild-plugin-pyproject
    - add pymysql to b-d
  * debian/rules
    - remove docs/make.bat during build

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Nov 2022 14:56:23 -0400

aiomysql (0.0.20-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Sep 2021 00:07:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: aiomysql
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Adam Cecile <acecile@le-vert.net>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
+               python3-pymysql,
+               python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib-asyncio <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -20,8 +22,8 @@
               python3-uvloop <pkg.aiomysql.integrationtests>,
 Standards-Version: 4.4.1
 Homepage: https://github.com/aio-libs/aiomysql
-Vcs-Git: https://salsa.debian.org/python-team/modules/aiomysql.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/aiomysql
+Vcs-Git: https://salsa.debian.org/python-team/packages/aiomysql.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/aiomysql
 
 Package: python3-aiomysql
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 	rm -rf .cache
 	rm -rf .pytest_cache
 	rm -f tests/fixtures/my.cnf
+	rm -f docs/make.bat
+	rm -f aiomysql-0.1.1/aiomysql/_scm_version.py
 
 override_dh_auto_build:
 	dh_auto_build

## aiomysql 0.3.2

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 FLAGS=
 
+checkrst:
+	python -m twine check --strict dist/*
 
-flake:
+
+flake:checkrst
 	flake8 aiomysql tests examples
 
 test: flake
@@ -11,6 +14,7 @@
 
 vtest:
 	py.test -s -v $(FLAGS) ./tests/
+
 
 cov cover coverage: flake
 	py.test -s -v  --cov-report term --cov-report html --cov aiomysql ./tests
@@ -40,7 +44,16 @@
 stop_mysql:
 	docker-compose -f docker-compose.yml stop mysql
 
+# TODO: this depends on aiomysql being installed, e.g. in a venv.
+# TODO: maybe this can be solved better.
 doc:
+	@echo "----------------------------------------------------------------"
+	@echo "Doc builds require installing the aiomysql package in the"
+	@echo "environment. Make sure you've installed your current dev version"
+	@echo "into your environment, e.g. using venv, then run this command in"
+	@echo "the virtual environment."
+	@echo "----------------------------------------------------------------"
+	git fetch --tags --all
 	make -C docs html
 	@echo "open file://`pwd`/docs/_build/html/index.html"

=== debian/changelog ===
aiomysql (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Properly check whether loading of local files is enabled (closes:
      #1118754).

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Oct 2025 11:22:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Adam Cecile <acecile@le-vert.net>
 Build-Depends: debhelper-compat (= 12),
                pybuild-plugin-pyproject,
+               furo <!nodoc>,
                python3-all,
                python3-setuptools,
                python3-pymysql,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
-               python3-sphinxcontrib-asyncio <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
 # Integration tests, using local MySQL and docker
 # Build locally with DEB_BUILD_PROFILES="pkg.aiomysql.integrationtests"
 # See debian/README.integration_tests to setup your local machine
               python3-pytest <pkg.aiomysql.integrationtests>,
               python3-docker <pkg.aiomysql.integrationtests>,
-              python3-pymysql (>= 0.9~) <pkg.aiomysql.integrationtests>,
-              python3-sqlalchemy (>= 1.0~) <pkg.aiomysql.integrationtests>,
+              python3-pymysql (>= 1.0~) <pkg.aiomysql.integrationtests>,
+              python3-sqlalchemy (>= 1.3~) <pkg.aiomysql.integrationtests>,
               python3-uvloop <pkg.aiomysql.integrationtests>,
 Standards-Version: 4.4.1
 Homepage: https://github.com/aio-libs/aiomysql

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rm -rf .pytest_cache
 	rm -f tests/fixtures/my.cnf
 	rm -f docs/make.bat
-	rm -f aiomysql-0.1.1/aiomysql/_scm_version.py
+	rm -f aiomysql-*/aiomysql/_scm_version.py
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiomysql-$1.tar.gz%" \
   https://github.com/aio-libs/aiomysql/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
